> ## Documentation Index
> Fetch the complete documentation index at: https://leadping.ai/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get business lead communication analytics

> Returns current-business analytics for lead communication, including event volume, response metrics, and date-range filtering.



## OpenAPI

````yaml /openapi.json get /analytics/my
openapi: 3.0.4
info:
  title: Leadping API
  description: >-
    Leadping API for lead intake, messaging, calling, automations, billing,
    business settings, and compliant lead communication workflows.
  license:
    name: MIT
    url: https://opensource.org/licenses/MIT
  version: v1
servers:
  - url: https://api.leadping.ai
    description: Production
security: []
tags:
  - name: Analytics
  - name: Automations
  - name: Contact
  - name: Conversations
  - name: Dispositions
  - name: Feedback
  - name: Leads
  - name: LeadStatuses
  - name: Notifications
  - name: OutboundDelivery
  - name: Sources
  - name: Suppressions
  - name: Tags
  - name: Users
  - name: Calls
  - name: PhoneNumbers
  - name: Sms
  - name: Telephony
  - name: UserDataExports
  - name: CallEvents
  - name: Events
  - name: SmsEvents
  - name: Businesses
  - name: PaymentMethods
  - name: Transactions
  - name: Usage
  - name: Wallets
paths:
  /analytics/my:
    get:
      tags:
        - Analytics
      summary: Get business lead communication analytics
      description: >-
        Returns current-business analytics for lead communication, including
        event volume, response metrics, and date-range filtering.
      operationId: Analytics_GetCurrentBusiness
      parameters:
        - name: startAt
          in: query
          schema:
            type: string
            format: date-time
        - name: endAt
          in: query
          schema:
            type: string
            format: date-time
        - name: days
          in: query
          schema:
            pattern: ^-?(?:0|[1-9]\d*)$
            format: int32
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/CustomerAnalyticsResponse'
                description: >-
                  Response model containing customer analytics data returned by
                  the Leadping API.
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
components:
  schemas:
    CustomerAnalyticsResponse:
      type: object
      properties:
        range:
          allOf:
            - $ref: '#/components/schemas/AnalyticsDateRange'
          description: Range associated with this Leadping customer analytics.
        summary:
          allOf:
            - $ref: '#/components/schemas/CustomerAnalyticsSummary'
          description: Human-readable summary for this Leadping customer analytics.
        leadTrend:
          allOf:
            - $ref: '#/components/schemas/CustomerLeadTrend'
          description: Lead trend associated with this Leadping customer analytics.
        responseMetrics:
          allOf:
            - $ref: '#/components/schemas/CustomerResponseMetrics'
          description: Response metrics associated with this Leadping customer analytics.
        communicationUsage:
          allOf:
            - $ref: '#/components/schemas/CustomerCommunicationUsage'
          description: >-
            Communication usage associated with this Leadping customer
            analytics.
        leadSources:
          type: array
          items:
            allOf:
              - $ref: '#/components/schemas/CustomerLeadSourceBreakdown'
            description: >-
              Represents customer lead source breakdown data exposed by Leadping
              analytics.
          description: >-
            Collection of lead sources included with this Leadping customer
            analytics.
        automationHealth:
          allOf:
            - $ref: '#/components/schemas/CustomerAutomationHealth'
          description: Automation health associated with this Leadping customer analytics.
        activationHealth:
          allOf:
            - $ref: '#/components/schemas/CustomerActivationHealth'
          description: Activation health associated with this Leadping customer analytics.
        needsAttention:
          type: array
          items:
            allOf:
              - $ref: '#/components/schemas/CustomerNeedsAttentionItem'
            description: >-
              Represents customer needs attention item data exposed by Leadping
              analytics.
          description: >-
            Date and time when this Leadping customer analytics was needs
            attention.
        generatedAt:
          type: string
          description: Date and time when this Leadping customer analytics was generated.
          format: date-time
      description: >-
        Response model containing customer analytics data returned by the
        Leadping API.
    ProblemDetails:
      type: object
      properties:
        type:
          type: string
          description: URI reference that identifies the problem type.
          nullable: true
        title:
          type: string
          description: Short, human-readable summary of the problem.
          nullable: true
        status:
          pattern: ^-?(?:0|[1-9]\d*)$
          description: HTTP status code returned for the problem.
          format: int32
          nullable: true
        detail:
          type: string
          description: >-
            Human-readable explanation specific to this occurrence of the
            problem.
          nullable: true
        instance:
          type: string
          description: >-
            URI reference that identifies this specific occurrence of the
            problem.
          nullable: true
    AnalyticsDateRange:
      type: object
      properties:
        startAt:
          type: string
          description: Date and time when this Leadping analytics date range was start.
          format: date-time
        endAt:
          type: string
          description: Date and time when this Leadping analytics date range was end.
          format: date-time
        bucketSize:
          allOf:
            - $ref: '#/components/schemas/AnalyticsBucketSize'
          description: Bucket size associated with this Leadping analytics date range.
      description: Represents analytics date range data exposed by Leadping analytics.
    CustomerAnalyticsSummary:
      type: object
      properties:
        leads:
          pattern: ^-?(?:0|[1-9]\d*)$
          description: >-
            Number of leads represented by this Leadping customer analytics
            summary.
          format: int32
        leadsComparison:
          allOf:
            - $ref: '#/components/schemas/AnalyticsComparison'
          description: >-
            Date and time when this Leadping customer analytics summary was
            leads comparison.
        averageResponseMinutes:
          pattern: ^-?(?:0|[1-9]\d*)(?:\.\d+)?$
          description: Average time, in minutes, before a lead receives a response.
          format: double
          nullable: true
        medianResponseMinutes:
          pattern: ^-?(?:0|[1-9]\d*)(?:\.\d+)?$
          description: Median response minutes measured in minutes.
          format: double
          nullable: true
        respondedWithinFiveMinutesPercent:
          pattern: ^-?(?:0|[1-9]\d*)(?:\.\d+)?$
          description: Responded within five minutes percent expressed as a percentage.
          format: double
        missedLeads:
          pattern: ^-?(?:0|[1-9]\d*)$
          description: >-
            Number of missed leads represented by this Leadping customer
            analytics summary.
          format: int32
        unreadMessages:
          pattern: ^-?(?:0|[1-9]\d*)$
          description: >-
            Number of unread messages represented by this Leadping customer
            analytics summary.
          format: int32
        missedCalls:
          pattern: ^-?(?:0|[1-9]\d*)$
          description: Number of calls missed during the reporting period.
          format: int32
        smsSent:
          pattern: ^-?(?:0|[1-9]\d*)$
          description: Number of SMS messages sent during the reporting period.
          format: int32
        smsReceived:
          pattern: ^-?(?:0|[1-9]\d*)$
          description: Number of SMS messages received during the reporting period.
          format: int32
        callsPlaced:
          pattern: ^-?(?:0|[1-9]\d*)$
          description: Number of outbound calls placed during the reporting period.
          format: int32
        callsReceived:
          pattern: ^-?(?:0|[1-9]\d*)$
          description: Number of inbound calls received during the reporting period.
          format: int32
        callMinutes:
          pattern: ^-?(?:0|[1-9]\d*)(?:\.\d+)?$
          description: >-
            Total connected call duration, in minutes, during the reporting
            period.
          format: double
        usageSpend:
          pattern: ^-?(?:0|[1-9]\d*)(?:\.\d+)?$
          description: Usage spend represented by this Leadping customer analytics summary.
          format: double
        walletBalance:
          pattern: ^-?(?:0|[1-9]\d*)(?:\.\d+)?$
          description: >-
            Wallet balance represented by this Leadping customer analytics
            summary.
          format: double
        billingStatus:
          type: string
          description: Current billing status for this Leadping customer analytics summary.
        walletStatus:
          type: string
          description: Current wallet status for this Leadping customer analytics summary.
      description: >-
        Represents customer analytics summary data exposed by Leadping
        analytics.
    CustomerLeadTrend:
      type: object
      properties:
        total:
          pattern: ^-?(?:0|[1-9]\d*)$
          description: >-
            Total number of total records represented by this Leadping customer
            lead trend.
          format: int32
        comparison:
          allOf:
            - $ref: '#/components/schemas/AnalyticsComparison'
          description: Date and time when this Leadping customer lead trend was comparison.
        points:
          type: array
          items:
            allOf:
              - $ref: '#/components/schemas/AnalyticsTrendPointOfint'
            description: >-
              Represents analytics trend point data exposed by Leadping
              analytics.
          description: >-
            Collection of points included with this Leadping customer lead
            trend.
      description: Represents customer lead trend data exposed by Leadping analytics.
    CustomerResponseMetrics:
      type: object
      properties:
        averageMinutes:
          pattern: ^-?(?:0|[1-9]\d*)(?:\.\d+)?$
          description: Average minutes measured in minutes.
          format: double
          nullable: true
        medianMinutes:
          pattern: ^-?(?:0|[1-9]\d*)(?:\.\d+)?$
          description: Median minutes measured in minutes.
          format: double
          nullable: true
        respondedWithinFiveMinutesPercent:
          pattern: ^-?(?:0|[1-9]\d*)(?:\.\d+)?$
          description: Responded within five minutes percent expressed as a percentage.
          format: double
        respondedLeads:
          pattern: ^-?(?:0|[1-9]\d*)$
          description: >-
            Number of responded leads represented by this Leadping customer
            response metrics.
          format: int32
        unrespondedLeads:
          pattern: ^-?(?:0|[1-9]\d*)$
          description: >-
            Number of unresponded leads represented by this Leadping customer
            response metrics.
          format: int32
        unreadMessages:
          pattern: ^-?(?:0|[1-9]\d*)$
          description: >-
            Number of unread messages represented by this Leadping customer
            response metrics.
          format: int32
        missedCalls:
          pattern: ^-?(?:0|[1-9]\d*)$
          description: Number of calls missed during the reporting period.
          format: int32
        averageMinutesTrend:
          type: array
          items:
            allOf:
              - $ref: '#/components/schemas/AnalyticsTrendPointOfdecimal'
            description: >-
              Represents analytics trend point data exposed by Leadping
              analytics.
          description: >-
            Collection of average minutes trend included with this Leadping
            customer response metrics.
      description: Represents customer response metrics data exposed by Leadping analytics.
    CustomerCommunicationUsage:
      type: object
      properties:
        smsSent:
          pattern: ^-?(?:0|[1-9]\d*)$
          description: Number of SMS messages sent during the reporting period.
          format: int32
        smsReceived:
          pattern: ^-?(?:0|[1-9]\d*)$
          description: Number of SMS messages received during the reporting period.
          format: int32
        failedOrBlockedSms:
          pattern: ^-?(?:0|[1-9]\d*)$
          description: >-
            Number of SMS messages that failed or were blocked during the
            reporting period.
          format: int32
        callsPlaced:
          pattern: ^-?(?:0|[1-9]\d*)$
          description: Number of outbound calls placed during the reporting period.
          format: int32
        callsReceived:
          pattern: ^-?(?:0|[1-9]\d*)$
          description: Number of inbound calls received during the reporting period.
          format: int32
        answeredCalls:
          pattern: ^-?(?:0|[1-9]\d*)$
          description: Number of calls answered during the reporting period.
          format: int32
        missedCalls:
          pattern: ^-?(?:0|[1-9]\d*)$
          description: Number of calls missed during the reporting period.
          format: int32
        callMinutes:
          pattern: ^-?(?:0|[1-9]\d*)(?:\.\d+)?$
          description: >-
            Total connected call duration, in minutes, during the reporting
            period.
          format: double
        usageSpend:
          pattern: ^-?(?:0|[1-9]\d*)(?:\.\d+)?$
          description: >-
            Usage spend represented by this Leadping customer communication
            usage.
          format: double
        trend:
          type: array
          items:
            allOf:
              - $ref: '#/components/schemas/CustomerCommunicationUsagePoint'
            description: >-
              Represents customer communication usage point data exposed by
              Leadping analytics.
          description: >-
            Collection of trend included with this Leadping customer
            communication usage.
      description: >-
        Represents customer communication usage data exposed by Leadping
        analytics.
    CustomerLeadSourceBreakdown:
      type: object
      properties:
        source:
          type: string
          description: >-
            Source classification for this Leadping customer lead source
            breakdown.
        leads:
          pattern: ^-?(?:0|[1-9]\d*)$
          description: >-
            Number of leads represented by this Leadping customer lead source
            breakdown.
          format: int32
        percent:
          pattern: ^-?(?:0|[1-9]\d*)(?:\.\d+)?$
          description: Percent expressed as a percentage.
          format: double
      description: >-
        Represents customer lead source breakdown data exposed by Leadping
        analytics.
    CustomerAutomationHealth:
      type: object
      properties:
        automationCount:
          pattern: ^-?(?:0|[1-9]\d*)$
          description: >-
            Total number of automation records represented by this Leadping
            customer automation health.
          format: int32
        enabledCount:
          pattern: ^-?(?:0|[1-9]\d*)$
          description: >-
            Total number of enabled records represented by this Leadping
            customer automation health.
          format: int32
        executions:
          pattern: ^-?(?:0|[1-9]\d*)$
          description: >-
            Number of executions represented by this Leadping customer
            automation health.
          format: int32
        successCount:
          pattern: ^-?(?:0|[1-9]\d*)$
          description: >-
            Total number of success records represented by this Leadping
            customer automation health.
          format: int32
        failureCount:
          pattern: ^-?(?:0|[1-9]\d*)$
          description: >-
            Total number of failure records represented by this Leadping
            customer automation health.
          format: int32
        lastFailure:
          type: object
          allOf:
            - $ref: '#/components/schemas/CustomerFailingAutomation'
          description: >-
            Last failure associated with this Leadping customer automation
            health.
          nullable: true
        failingAutomations:
          type: array
          items:
            allOf:
              - $ref: '#/components/schemas/CustomerFailingAutomation'
            description: >-
              Represents customer failing automation data exposed by Leadping
              analytics.
          description: >-
            Collection of failing automations included with this Leadping
            customer automation health.
      description: >-
        Represents customer automation health data exposed by Leadping
        analytics.
    CustomerActivationHealth:
      type: object
      properties:
        overallStatus:
          type: string
          description: Current overall status for this Leadping customer activation health.
        items:
          type: array
          items:
            allOf:
              - $ref: '#/components/schemas/CustomerActivationHealthItem'
            description: >-
              Represents customer activation health item data exposed by
              Leadping analytics.
          description: >-
            Collection of items included with this Leadping customer activation
            health.
      description: >-
        Represents customer activation health data exposed by Leadping
        analytics.
    CustomerNeedsAttentionItem:
      type: object
      properties:
        severity:
          type: string
          description: >-
            Severity associated with this Leadping customer needs attention
            item.
        title:
          type: string
          description: >-
            Human-readable title for this Leadping customer needs attention
            item.
        detail:
          type: string
          description: >-
            Human-readable detail for this Leadping customer needs attention
            item.
        actionHref:
          type: string
          description: Relative URL for the recommended follow-up action.
          nullable: true
        actionText:
          type: string
          description: >-
            Action text associated with this Leadping customer needs attention
            item.
          nullable: true
      description: >-
        Represents customer needs attention item data exposed by Leadping
        analytics.
    AnalyticsBucketSize:
      enum:
        - 3
        - 0
        - 1
        - 2
      type: integer
      description: Defines the supported analytics bucket size values.
      format: int32
    AnalyticsComparison:
      type: object
      properties:
        current:
          pattern: ^-?(?:0|[1-9]\d*)(?:\.\d+)?$
          description: Metric value for the current reporting period.
          format: double
        previous:
          pattern: ^-?(?:0|[1-9]\d*)(?:\.\d+)?$
          description: Metric value for the preceding comparison period.
          format: double
        changePercent:
          pattern: ^-?(?:0|[1-9]\d*)(?:\.\d+)?$
          description: >-
            Percentage change between the current and previous reporting
            periods.
          format: double
          nullable: true
        direction:
          type: string
          description: Direction classification for this Leadping analytics comparison.
      description: Represents analytics comparison data exposed by Leadping analytics.
    AnalyticsTrendPointOfint:
      type: object
      properties:
        startAt:
          type: string
          description: Date and time when this Leadping analytics trend point was start.
          format: date-time
        endAt:
          type: string
          description: Date and time when this Leadping analytics trend point was end.
          format: date-time
        label:
          type: string
          description: Human-readable label for this Leadping analytics trend point.
        value:
          pattern: ^-?(?:0|[1-9]\d*)$
          description: Value associated with this Leadping analytics trend point.
          format: int32
      description: Represents analytics trend point data exposed by Leadping analytics.
    AnalyticsTrendPointOfdecimal:
      type: object
      properties:
        startAt:
          type: string
          description: Date and time when this Leadping analytics trend point was start.
          format: date-time
        endAt:
          type: string
          description: Date and time when this Leadping analytics trend point was end.
          format: date-time
        label:
          type: string
          description: Human-readable label for this Leadping analytics trend point.
        value:
          pattern: ^-?(?:0|[1-9]\d*)(?:\.\d+)?$
          description: Value associated with this Leadping analytics trend point.
          format: double
      description: Represents analytics trend point data exposed by Leadping analytics.
    CustomerCommunicationUsagePoint:
      type: object
      properties:
        startAt:
          type: string
          description: >-
            Date and time when this Leadping customer communication usage point
            was start.
          format: date-time
        endAt:
          type: string
          description: >-
            Date and time when this Leadping customer communication usage point
            was end.
          format: date-time
        label:
          type: string
          description: >-
            Human-readable label for this Leadping customer communication usage
            point.
        smsSent:
          pattern: ^-?(?:0|[1-9]\d*)$
          description: Number of SMS messages sent during the reporting period.
          format: int32
        smsReceived:
          pattern: ^-?(?:0|[1-9]\d*)$
          description: Number of SMS messages received during the reporting period.
          format: int32
        calls:
          pattern: ^-?(?:0|[1-9]\d*)$
          description: >-
            Number of calls represented by this Leadping customer communication
            usage point.
          format: int32
        callMinutes:
          pattern: ^-?(?:0|[1-9]\d*)(?:\.\d+)?$
          description: >-
            Total connected call duration, in minutes, during the reporting
            period.
          format: double
        spend:
          pattern: ^-?(?:0|[1-9]\d*)(?:\.\d+)?$
          description: >-
            Spend represented by this Leadping customer communication usage
            point.
          format: double
      description: >-
        Represents customer communication usage point data exposed by Leadping
        analytics.
    CustomerFailingAutomation:
      type: object
      properties:
        automationId:
          type: string
          description: >-
            Unique identifier of the automation associated with this Leadping
            customer failing automation.
          nullable: true
        name:
          type: string
          description: Human-readable name of the customer failing automation.
        failedAt:
          type: string
          description: Date and time when the customer failing automation failed.
          format: date-time
          nullable: true
        error:
          type: string
          description: Error associated with this Leadping customer failing automation.
          nullable: true
      description: >-
        Represents customer failing automation data exposed by Leadping
        analytics.
    CustomerActivationHealthItem:
      type: object
      properties:
        key:
          type: string
          description: Key associated with this Leadping customer activation health item.
        label:
          type: string
          description: >-
            Human-readable label for this Leadping customer activation health
            item.
        status:
          type: string
          description: Current status for this Leadping customer activation health item.
        detail:
          type: string
          description: >-
            Human-readable detail for this Leadping customer activation health
            item.
        actionHref:
          type: string
          description: Relative URL for the recommended follow-up action.
          nullable: true
      description: >-
        Represents customer activation health item data exposed by Leadping
        analytics.

````